package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.wrapper.TempDirectorTrainingCampWrapper;
import com.ym.mec.biz.service.TempDirectorTrainingCampService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

@Api(tags = "乐队指导训练营活动")
@RestController
@RequestMapping("${app-config.url.web:}/tempDirectorTrainingCamp")
public class TempDirectorTrainingCampController extends BaseController {

    @Resource
    private TempDirectorTrainingCampService tempDirectorTrainingCampService;


    @ApiOperation("创建训练营")
    @PostMapping(value = "/add")
    public HttpResponseResult<Object> add(@Valid @RequestBody TempDirectorTrainingCampWrapper.AddCamp dto) {
        tempDirectorTrainingCampService.add(dto);
        return succeed();
    }

    @ApiOperation("修改训练营")
    @PostMapping(value = "/modify")
    public HttpResponseResult<Object> modify(@Valid @RequestBody TempDirectorTrainingCampWrapper.AddCamp dto) {
        tempDirectorTrainingCampService.modify(dto);
        return succeed();
    }
}

