package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.dto.PayParamBasicDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@ApiModel(value = "TempDirectorTrainingCampDetailWrapper对象")
public class TempDirectorTrainingCampDetailWrapper {


    @Data
    @ApiModel("PayDto")
    public static class PayDto extends PayParamBasicDto {

        @ApiModelProperty(value = "训练营详情编号",required = false)
        private Integer tempDirectorTrainingCampDetailId;
    }

    @Data
    @ApiModel("UserDetail")
    public static class UserDetail {

        @ApiModelProperty(value = "身份证号")
        private String cardNo;

        @ApiModelProperty(value = "手机号")
        private String mobile;

        @ApiModelProperty(value = "训练营编号")
        private Integer tempDirectorTrainingCampId;
    }

    @Data
    @ApiModel("UserPayDetail")
    public static class UserPayDetail {

        @ApiModelProperty(value = "身份证号")
        private String username;

        @ApiModelProperty(value = "手机号")
        private String mobile;

        @ApiModelProperty(value = "训练营编号")
        private Integer tempDirectorTrainingCampId;
    }

    @Data
    @ApiModel(" applyCamp-新增/修改")
    public static class ApplyCamp {

        @ApiModelProperty(value = "训练营编号")
        @NotNull(message = "训练营编号不能为空")
        private Integer tempDirectorTrainingCampId;

        @ApiModelProperty(value = "姓名")
        @NotNull(message = "请输入您的真实姓名")
        @Pattern(regexp = "^[\\u4e00-\\u9fa5]{2,10}$", message = "姓名必须是2到10个中文字符")
        private String username;

        @ApiModelProperty(value = "手机号")
        @NotNull(message = "手机号不能为空")
        @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
        private String mobile;

        @ApiModelProperty(value = "身份证号")
        @NotNull(message = "身份证号不能为空")
        @Pattern(regexp = "^(\\d{15}|\\d{17}[\\dXx])$", message = "身份证号格式不正确")
        private String cardNo;

        @ApiModelProperty(value = "省份")
        @NotNull(message = "请选择您所在的城市")
        @Pattern(regexp = "^[\\u4e00-\\u9fa5]{2,20}$", message = "省份名称必须是2到20个中文字符")
        private String province;

        @ApiModelProperty(value = "省份")
        private String provinceCode;

        @ApiModelProperty(value = "城市")
        private String cityCode;

        @ApiModelProperty(value = "城市")
        private String city;

        @ApiModelProperty(value = "区县")
        private String regionCode;

        @ApiModelProperty(value = "区县")
        private String region;

        @ApiModelProperty(value = "职业")
        @NotNull(message = "请选择目前从事的职业")
        private String job;

        @ApiModelProperty(value = "声部")
        @NotNull(message = "请选择您的专业")
        private String subjectName;

        @ApiModelProperty(value = "之前乐队指导学习基础")
        @NotNull(message = "请选择学习基础")
        private String study;

        @ApiModelProperty(value = "目标效果")
        @NotNull(message = "请填写目标效果")
        private String studyTarget;

        @ApiModelProperty(value = "需求或建议")
        @NotNull(message = "请填写需求或建议")
        private String suggestion;

        @ApiModelProperty(value = "验证码")
        private String authCode;
    }

}
