package com.ym.mec.biz.dal.wrapper;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "TempDirectorTrainingCampWrapper对象")
public class TempDirectorTrainingCampWrapper {


    @Data
    @ApiModel(" AddCamp-新增/修改")
    public static class AddCamp {

        @ApiModelProperty(value = "特训营名称")
        @NotNull(message = "特训营名称不能为空")
        private String name;

        @ApiModelProperty(value = "报名开始时间")
        @NotNull(message = "报名开始时间不能为空")
        private Date applyStartDate;

        @ApiModelProperty(value = "报名截止时间")
        @NotNull(message = "报名截止时间不能为空")
        private Date applyEndDate;

        @ApiModelProperty(value = "早鸟价截止日期")
        private Date birdPriceEndDate;

        @ApiModelProperty(value = "早鸟价")
        private BigDecimal birdPrice;

        @ApiModelProperty(value = "优惠价")
        @NotNull(message = "优惠价不能为空")
        private BigDecimal currentPrice;

        @ApiModelProperty(value = "原价")
        @NotNull(message = "原价不能为空")
        private BigDecimal originalPrice;

        @ApiModelProperty(value = "修改人")
        private Integer updateBy;
    }
}
